com.aspose.omr

## Class OmrCell

- java.lang.Object
- - com.aspose.omr.OmrCell

- All Implemented Interfaces:
    ISpacedArea

      public class OmrCell
      extends Object
      implements ISpacedArea

  Represents a cell in an `OmrElement`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OmrCell()` Initializes a new instance of the `OmrCell` class.
    `OmrCell(String value)` Initializes a new instance of the `OmrCell` class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getSpaceAfter()` Gets spacing that follows the cell, in millimeters.
    `float` | `getSpaceBefore()` Gets spacing that precedes the cell, in millimeters.
    `String` | `getValue()` Gets value associated with the cell.
    `void` | `setSpaceAfter(float value)` Sets spacing that follows the cell, in millimeters.
    `void` | `setSpaceBefore(float value)` Sets spacing that precedes the cell, in millimeters.
    `void` | `setValue(String value)` Sets value associated with the cell.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OmrCell

          public OmrCell()

      Initializes a new instance of the `OmrCell` class.

    - #### OmrCell

          public OmrCell(String value)

      Initializes a new instance of the `OmrCell` class.

      Parameters:
        `value` - The value associated with the cell.

  - ### Method Detail

    - #### getSpaceAfter

          public float getSpaceAfter()

      Gets spacing that follows the cell, in millimeters. Zero by default.

      Specified by:
        `getSpaceAfter` in interface `ISpacedArea`
      Returns:
        the space after

    - #### getSpaceBefore

          public float getSpaceBefore()

      Gets spacing that precedes the cell, in millimeters. Zero by default.

      Specified by:
        `getSpaceBefore` in interface `ISpacedArea`
      Returns:
        the space before

    - #### getValue

          public String getValue()

      Gets value associated with the cell.

      Returns:
        the value

    - #### setSpaceAfter

          public void setSpaceAfter(float value)

      Sets spacing that follows the cell, in millimeters.

      Specified by:
        `setSpaceAfter` in interface `ISpacedArea`
      Parameters:
        `value` - the space after

    - #### setSpaceBefore

          public void setSpaceBefore(float value)

      Sets spacing that precedes the cell, in millimeters.

      Specified by:
        `setSpaceBefore` in interface `ISpacedArea`
      Parameters:
        `value` - the space before

    - #### setValue

          public void setValue(String value)

      Sets value associated with the cell.

      Parameters:
        `value` - the value

Copyright © 2014. All rights reserved.